[![pipeline status](https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/badges/master/pipeline.svg)](https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/commits/master)

# autonomic-cooperative.gitlab.io

A [Jekyll] based site for the Autonomic Cooperative. The site is based on the [spectral-jekyll-theme] template.

We use [autonomic.zone] for production. We used to use [autonomic-cooperative.gitlab.io] as staging but this isn't really needed anymore.

[Jekyll]: https://jekyllrb.com/
[spectral-jekyll-theme]: https://github.com/andrewbanchich/spectral-jekyll-theme
[autonomic.zone]: https://autonomic.zone/
[autonomic-cooperative.gitlab.io]: http://autonomic-cooperative.gitlab.io/

# Make a change

Work on features in branches. If you commit to master, open a merge request from your branch unless it is a tiny change. Our [deploy] CI stage will push any changes on master branch to [autonomic.zone].

[deploy]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/blob/d16aec42bd2ddd7449f55d9f06b03499cc660b22/.gitlab-ci.yml#L17

Watch the [CI/CD pipeline] to see that it builds successfully.

[CI/CD pipeline]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/pipelines


# Contribute

Please see [CONTRIBUTING.md] for the juicy details. It may need to be updated so please submit patches if you discover some quirk!

[CONTRIBUTING.md]: https://gitlab.com/autonomic-cooperative/autonomic-cooperative.gitlab.io/blob/master/CONTRIBUTING.md
